> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2022-09-01/api-reference/client-token-versions/retrieve-a-client-token-version/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Retrieve a Client Token Version GET https://api.withpersona.com/api/v1/client-token-versions/{client-token-version-id} Retrieves one version of a Client Token, including its secret value. Client Token Version values should be handled securely. Reference: https://docs.withpersona.com/api-reference/client-token-versions/retrieve-a-client-token-version ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `client-token-version-id` (string, required) — The ID of the client token version ### Query parameters - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a Client Token Version. - `data` (client-token-version, required) — A Client Token Version resource ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### client-token-version A Client Token Version resource - `type` ("client-token-version", optional) - `id` (string, optional) - `attributes` (ClientTokenVersionAttributes, optional) - `relationships` (ClientTokenVersionRelationships, optional) ### ClientTokenVersionsClientTokenVersionIdGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### ClientTokenVersionAttributes - `value` (string, optional) — The Client Token Version value, returned for a retrieved or newly created version. This should be treated with the utmost security. - `created-at` (datetime, optional) — When this client token version was created - `expires-at` (datetime, optional, nullable) — When this client token version expires - `status` (string, optional) — The lifecycle status of this client token version: `active` or `disabled`. ### ClientTokenVersionRelationships - `client-token` (ClientTokenVersionRelationshipsClientToken, optional) ### ClientTokenVersionRelationshipsClientToken - `data` (ClientTokenVersionRelationshipsClientTokenData, optional) ### ClientTokenVersionRelationshipsClientTokenData - `type` ("client-token", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": { "type": "client-token-version", "id": "ctkv_ABC123", "attributes": { "value": "persona_production_abcdefg", "created-at": "2023-08-17T23:18:13.000Z", "expires-at": "2023-09-17T23:18:13.000Z", "status": "active" } } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/client-token-versions/client-token-version-id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```